## com.typesafe.config
Class ConfigException.Null

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.typesafe.config.ConfigException
                      com.typesafe.config.ConfigException.Missing
                          com.typesafe.config.ConfigException.Null

All Implemented Interfaces:
  Serializable

Enclosing class:
  ConfigException

    public static class ConfigException.Null

extends ConfigException.Missing

Exception indicates that the setting was treated as missing because it was set to null.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.typesafe.config.ConfigException
`ConfigException.BadPath, ConfigException.BadValue, ConfigException.BugOrBroken, ConfigException.Generic, ConfigException.IO, ConfigException.Missing, ConfigException.NotResolved, ConfigException.Null, ConfigException.Parse, ConfigException.UnresolvedSubstitution, ConfigException.ValidationFailed, ConfigException.ValidationProblem, ConfigException.WrongType`

Constructor Summary
`ConfigException.Null(ConfigOrigin origin, String path, String expected)`
`ConfigException.Null(ConfigOrigin origin, String path, String expected, Throwable cause)`

Method Summary

Methods inherited from class com.typesafe.config.ConfigException
`origin`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigException.Null

    public ConfigException.Null(ConfigOrigin origin,
                                String path,
                                String expected,
                                Throwable cause)

### ConfigException.Null

    public ConfigException.Null(ConfigOrigin origin,
                                String path,
                                String expected)